# Bram's Configs for Floorp Browser
I didn't make any editions at Userchrome.css and I didn't find any way to export the settings I made, but I will keep looking to do the same with Firefox, for now you can replicate these settings through this step by step on Floor Browser.

![Browser](docs/assets/browser.png)
## Set-up Guide

#### Step 0 - Install Floorp Browser
- [Floorp Browser](https://floorp.app/en/download/) page

#### Step 1 - Install addons and resources ⬇️:
- [Sidebery](https://addons.mozilla.org/pt-BR/firefox/addon/sidebery/) to sidebar
- [Tabliss](https://addons.mozilla.org/pt-BR/firefox/addon/tabliss/) to "new tab" page
- [Firefox Color](https://addons.mozilla.org/en-US/firefox/addon/firefox-color/) to color
- [DM Sans](https://fonts.google.com/specimen/DM+Sans) to font

#### Step 2 - Configure Floorp Browser and extensions:
- Navigate to Floorp Settings ⚙️
  - Design `about:preferences#design` -> Browser appearance -> Floorp Fluerial UI
  - Design `about:preferences#design` -> Tab Bar Style -> Horizontal Tab Bar
  - Design `about:preferences#design` -> Tab Bar Style -> Collapse Tree Style Tab
  - Design `about:preferences#design` -> Tab Bar -> Optimise browser for Vertical Tab Bar
  - Design `about:preferences#design` -> Bookmarks Toolbar -> Hide the Bookmarks Toolbar unless hovering over the navigation bar (Optional, you can simply choose to hide the favorite bar always)
  - Design `about:preferences#design` -> Other Preferences -> Round the corners of pages
- Navigate to Sidebery Settings ⚙️:
  - Sidebery Settings -> Help -> Import addon data -> Import the settings I left in Github

#### Step 3 (Last Step) - Customize Themes 🎨:
- Go to [Firefox Color](https://color.firefox.com/?fromAddon=true) (extension needed) and color according to your preferences or install [Darker Leo's](https://addons.mozilla.org/addon/darker-leo-s/) theme.
- Go to new tab (tabliss needs to be installed!) settings
  - Background -> Upload Images -> Upload the image of your choice (I used this [site](https://www.sightunseen.com/2018/08/spanish-artist-ana-montiel-color-field-paintings-digital-art/), this [image](https://www.sightunseen.com/wordpress/wp-content/uploads/2018/08/Fields26-AllRealitiesCoExistingEverywhereForever.jpg))
  - Widgets -> Remove all widgets and add Literature Clock
- Go to Customize Toolbar (By clicking on an empty place of the Firefox title bar)
  - Add 5 Flexible Space to the left and right of the search bar.

#### Bonus: Other things
- If you want to use SplitView along with Sidebery, just add as a shortcut:
  - about:preferences#cSK -> Split View Actions -> Add Shortcut

## That's all
Enjoy your new browser style!
